Upstream information

CVE-2023-46846 at MITRE

Description

SQUID is vulnerable to HTTP request smuggling, caused by chunked decoder lenience, allows a remote attacker to perform Request/Response smuggling past firewall and frontend security systems.

Upstream Security Advisories:

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.3 5.9
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:H/A:N
Attack Vector Network Network
Attack Complexity Low High
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact Low High
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1216500 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Image SLES15-SP4-Manager-Proxy-4-3-BYOS
Image SLES15-SP4-Manager-Proxy-4-3-BYOS-Azure
Image SLES15-SP4-Manager-Proxy-4-3-BYOS-EC2
Image SLES15-SP4-Manager-Proxy-4-3-BYOS-GCE
  • squid >= 5.7-150400.3.12.1
SUSE CaaS Platform 4.0
  • squid >= 4.17-150000.5.38.1
Patchnames:
SUSE-SUSE-CAASP-4.0-2023-4384
SUSE Enterprise Storage 7.1
  • squid >= 4.17-150000.5.38.1
Patchnames:
SUSE-Storage-7.1-2023-4384
SUSE Liberty Linux 8
  • libecap >= 1.0.1-2.module+el8.9.0+19703+a1da7223
  • libecap-devel >= 1.0.1-2.module+el8.9.0+19703+a1da7223
  • squid >= 4.15-7.module+el8.9.0+20571+8d39338b.1
Patchnames:
RHSA-2023:7213
SUSE Liberty Linux 9
  • squid >= 5.5-6.el9_3.1
Patchnames:
RHSA-2023:6266
RHSA-2023:6748
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS
  • squid >= 4.17-150000.5.38.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-LTSS-2023-4384
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS
  • squid >= 4.17-150000.5.38.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP2-LTSS-2023-4384
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS
  • squid >= 4.17-150000.5.38.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP3-ESPOS-2023-4384
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS
  • squid >= 4.17-150000.5.38.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP3-LTSS-2023-4384
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Server Applications 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • squid >= 5.7-150400.3.12.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP4-2023-4380
SUSE Linux Enterprise High Performance Computing 15 SP5
SUSE Linux Enterprise Module for Server Applications 15 SP5
SUSE Linux Enterprise Server 15 SP5
SUSE Linux Enterprise Server for SAP Applications 15 SP5
  • squid >= 5.7-150400.3.12.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP5-2023-4380
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • squid >= 4.17-4.30.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2023-4381
SUSE Linux Enterprise Server 15 SP1-LTSS
  • squid >= 4.17-150000.5.38.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-LTSS-2023-4384
SUSE Linux Enterprise Server 15 SP2-LTSS
  • squid >= 4.17-150000.5.38.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP2-LTSS-2023-4384
SUSE Linux Enterprise Server 15 SP3-LTSS
  • squid >= 4.17-150000.5.38.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP3-LTSS-2023-4384
SUSE Linux Enterprise Server for SAP Applications 15 SP1
  • squid >= 4.17-150000.5.38.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP1-2023-4384
SUSE Linux Enterprise Server for SAP Applications 15 SP2
  • squid >= 4.17-150000.5.38.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP2-2023-4384
SUSE Linux Enterprise Server for SAP Applications 15 SP3
  • squid >= 4.17-150000.5.38.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP3-2023-4384
openSUSE Leap 15.4
  • squid >= 5.7-150400.3.12.1
Patchnames:
openSUSE-SLE-15.4-2023-4380
openSUSE Leap 15.5
  • squid >= 5.7-150400.3.12.1
Patchnames:
openSUSE-SLE-15.5-2023-4380
openSUSE Tumbleweed
  • squid >= 6.4-1.1
Patchnames:
openSUSE Tumbleweed GA squid-6.4-1.1


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 squid Released
SUSE Linux Enterprise High Performance Computing 12 SP5 squid Released
SUSE Linux Enterprise High Performance Computing 15 SP5 squid Released
SUSE Linux Enterprise Module for Server Applications 15 SP5 squid Released
SUSE Linux Enterprise Real Time 15 SP3 squid Affected
SUSE Linux Enterprise Server 12 SP5 squid Released
SUSE Linux Enterprise Server 15 SP5 squid Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 squid Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 squid Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 squid Released
SUSE Manager Proxy 4.3 squid Released
SUSE Manager Retail Branch Server 4.3 squid Released
SUSE Manager Server 4.3 squid Released
openSUSE Leap 15.5 squid Released
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise High Performance Computing 15 squid Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 squid Affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS squid Affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS squid Released
SUSE Linux Enterprise High Performance Computing 15 SP2 squid Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS squid Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS squid Released
SUSE Linux Enterprise High Performance Computing 15 SP3 squid Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS squid Released
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS squid Released
SUSE Linux Enterprise High Performance Computing 15 SP4 squid Released
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS squid Affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS squid Affected
SUSE Linux Enterprise High Performance Computing 15-ESPOS squid Affected
SUSE Linux Enterprise High Performance Computing 15-LTSS squid Affected
SUSE Linux Enterprise Module for Server Applications 15 SP2 squid Affected
SUSE Linux Enterprise Module for Server Applications 15 SP3 squid Affected
SUSE Linux Enterprise Module for Server Applications 15 SP4 squid Released
SUSE Linux Enterprise Server 15 SP2 squid Affected
SUSE Linux Enterprise Server 15 SP2-LTSS squid Released
SUSE Linux Enterprise Server 15 SP3 squid Affected
SUSE Linux Enterprise Server 15 SP3-LTSS squid Released
SUSE Linux Enterprise Server 15 SP4 squid Released
SUSE Linux Enterprise Server 15 SP4-LTSS squid Affected
SUSE Linux Enterprise Server for SAP Applications 15 squid Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 squid Released
SUSE Linux Enterprise Server for SAP Applications 15 SP2 squid Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 squid Released
SUSE OpenStack Cloud 8 squid Won't fix
SUSE OpenStack Cloud 9 squid Won't fix
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 squid Won't fix
SUSE CaaS Platform 4.0 squid Released
SUSE Enterprise Storage 6 squid Affected
SUSE Enterprise Storage 7 squid Affected
SUSE Linux Enterprise Module for Server Applications 15 squid Affected
SUSE Linux Enterprise Module for Server Applications 15 SP1 squid Affected
SUSE Linux Enterprise Real Time 15 SP2 squid Affected
SUSE Linux Enterprise Real Time 15 SP4 squid Affected
SUSE Linux Enterprise Server 11 SP3 squid Affected
SUSE Linux Enterprise Server 11 SP3-LTSS squid Affected
SUSE Linux Enterprise Server 11 SP4 squid Affected
SUSE Linux Enterprise Server 11 SP4 LTSS squid Affected
SUSE Linux Enterprise Server 11 SP4-LTSS squid Affected
SUSE Linux Enterprise Server 12 SP2 squid Won't fix
SUSE Linux Enterprise Server 12 SP2-BCL squid Won't fix
SUSE Linux Enterprise Server 12 SP2-ESPOS squid Won't fix
SUSE Linux Enterprise Server 12 SP2-LTSS squid Won't fix
SUSE Linux Enterprise Server 12 SP3 squid Won't fix
SUSE Linux Enterprise Server 12 SP3-BCL squid Won't fix
SUSE Linux Enterprise Server 12 SP3-ESPOS squid Won't fix
SUSE Linux Enterprise Server 12 SP3-LTSS squid Won't fix
SUSE Linux Enterprise Server 12 SP4 squid Won't fix
SUSE Linux Enterprise Server 12 SP4-ESPOS squid Won't fix
SUSE Linux Enterprise Server 12 SP4-LTSS squid Won't fix
SUSE Linux Enterprise Server 15 squid Affected
SUSE Linux Enterprise Server 15 SP1 squid Affected
SUSE Linux Enterprise Server 15 SP1-BCL squid Affected
SUSE Linux Enterprise Server 15 SP1-LTSS squid Released
SUSE Linux Enterprise Server 15 SP2-BCL squid Affected
SUSE Linux Enterprise Server 15 SP3-BCL squid Affected
SUSE Linux Enterprise Server 15-LTSS squid Affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 squid Won't fix
SUSE Linux Enterprise Server for SAP Applications 12 SP2 squid Won't fix
SUSE Linux Enterprise Server for SAP Applications 12 SP3 squid Won't fix
SUSE Linux Enterprise Server for SAP Applications 12 SP4 squid Won't fix
SUSE Manager Proxy 4.0 squid Affected
SUSE Manager Proxy 4.1 squid Affected
SUSE Manager Proxy 4.2 squid Affected
SUSE Manager Retail Branch Server 4.0 squid Affected
SUSE Manager Retail Branch Server 4.1 squid Affected
SUSE Manager Retail Branch Server 4.2 squid Affected
SUSE Manager Server 4.0 squid Affected
SUSE Manager Server 4.1 squid Affected
SUSE Manager Server 4.2 squid Affected
SUSE OpenStack Cloud 7 squid Won't fix
SUSE OpenStack Cloud Crowbar 8 squid Won't fix
SUSE OpenStack Cloud Crowbar 9 squid Won't fix
openSUSE Leap 15.4 squid Released


SUSE Timeline for this CVE

CVE page created: Mon Oct 23 14:30:15 2023
CVE page last modified: Fri Apr 19 19:26:39 2024